### Enumeration

# Fwupd SelfSignFlags

#### Declaration

    flags Fwupd.SelfSignFlags

#### Description [src]

Flags to set when performing the firmware update or install.

#### Members

Name | Description
--- | ---
`FWUPD_SELF_SIGN_FLAG_NONE` | No flags set.
`FWUPD_SELF_SIGN_FLAG_ADD_TIMESTAMP` | Add the timestamp to the detached signature.
`FWUPD_SELF_SIGN_FLAG_ADD_CERT` | Add the certificate to the detached signature.